## xdoclet.loader
Class XDocletModule

    java.lang.Object
      xdoclet.loader.XDocletModule

public class XDocletModule
extends Object

This is an object view of the data in xdoclet.xml

Version:
  $Revision: 1.11 $
Author:
  Aslak Helles�y
created
  7. april 2002

Constructor Summary
`XDocletModule()`

Method Summary
`void` `addSubTask(String name, String implementationClass, String parentTaskClass)`
`void` `addTagHandler(String namespace, String clazz)`
`List` `getSubTaskDefinitions()`
`List` `getTagHandlerDefinitions()`
`URL` `getXTagsDefinitionURL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDocletModule

    public XDocletModule()

Method Detail

### getTagHandlerDefinitions

    public List getTagHandlerDefinitions()

### getSubTaskDefinitions

    public List getSubTaskDefinitions()

### getXTagsDefinitionURL

    public URL getXTagsDefinitionURL()

### addTagHandler

    public void addTagHandler(String namespace,
                              String clazz)

### addSubTask

    public void addSubTask(String name,
                           String implementationClass,
                           String parentTaskClass)

http://xdoclet.sourceforge.net/